# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /opt/recipe, last modified Tue Mar 19 16:16:18 2024
# ------------------------------------------------

package:
  name: fastp
  version: 0.23.4
source:
  sha256: 4fad6db156e769d46071add8a778a13a5cb5186bc1e1a5f9b1ffd499d84d72b5
  url: https://github.com/OpenGene/fastp/archive/v0.23.4.tar.gz
build:
  number: '3'
  run_exports:
    - fastp >=0.23.4,<0.24.0a0
  string: hbcc6c32_3
requirements:
  build:
    - _openmp_mutex 4.5 2_gnu
    - _sysroot_linux-aarch64_curr_repodata_hack 4 h57d6b7b_14
    - binutils_impl_linux-aarch64 2.40 h870a726_0
    - binutils_linux-aarch64 2.40 h95d2017_3
    - gcc_impl_linux-aarch64 12.3.0 hcde2664_5
    - gcc_linux-aarch64 12.3.0 h9622932_3
    - gxx_impl_linux-aarch64 12.3.0 hcde2664_5
    - gxx_linux-aarch64 12.3.0 h3d1e521_3
    - kernel-headers_linux-aarch64 4.18.0 h5b4a56d_14
    - ld_impl_linux-aarch64 2.40 h2d8c526_0
    - libgcc-devel_linux-aarch64 12.3.0 h8b5ab12_105
    - libgcc-ng 13.2.0 hf8544c7_5
    - libgomp 13.2.0 hf8544c7_5
    - libsanitizer 12.3.0 h8ebda82_5
    - libstdcxx-devel_linux-aarch64 12.3.0 h8b5ab12_105
    - libstdcxx-ng 13.2.0 h9a76618_5
    - make 4.3 h309ac5b_1
    - sysroot_linux-aarch64 2.17 h5b4a56d_14
  host:
    - _openmp_mutex 4.5 2_gnu
    - isa-l 2.31.0 h31becfc_1
    - libdeflate 1.18 hb4cce97_0
    - libgcc-ng 13.2.0 hf8544c7_5
    - libgomp 13.2.0 hf8544c7_5
    - libstdcxx-ng 13.2.0 h9a76618_5
  run:
    - isa-l
    - libdeflate >=1.18,<1.19.0a0
    - libgcc-ng >=12
    - libstdcxx-ng >=12
test:
  commands:
    - fastp --help
about:
  home: https://github.com/OpenGene/fastp
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: A ultra-fast FASTQ preprocessor with full features (QC/adapters/trimming/filtering/splitting...)
extra:
  additional-platforms:
    - linux-aarch64
  copy_test_source_files: true
  final: true
